part of mdlcomponents;

@Component(
	selector: 'mdl-badges',
	directives: const [NgIf,NgFor,NgClass],
	templateUrl: 'src/components/MdlBadges.html')

class MdlBadges {
	
	bool _nobackground = false;
	bool _overlap = false;
	
	String _badge = "1";
	
	String _text = '';

	Map<String,bool> badgesClasses;

    MdlBadges(){
    badgesClasses =  {'mdl-badge':true,'mdl-badge--no-background':_nobackground,'mdl-badge--overlap':_overlap};
    }


    void set badge(final String value) {
        if(value != null) {
            _badge = value;
        }
    }

    void set text(final String value) {
        if(value != null) {
            _text = value;
        }
    }


    String get badge => _badge;
    String get text => _text;

	bool get nobackground => _nobackground;
	bool get overlap => _overlap;

	
	void set overlap(bool value) { _overlap = value; buttonClasses['mdl-button--overlap'] = _overlap;}
	
	void set nobackground(bool value) { _nobackground = value; buttonClasses['mdl-button--no-background'] = _nobackground;}


}

